# smfi_settimeout

SYNOPSIS |
    #include <libmilter/mfapi.h>
    int smfi_settimeout(
    	int otimeout
    );
Set the filter's I/O timeout value.
DESCRIPTION |
Called When | smfi_settimeout should only be called before smfi_main.
Effects | Sets the number of seconds libmilter will wait for an MTA communication (read or write) before timing out. If smfi_settimeout is not called, a default timeout of 7210 seconds is used.
ARGUMENTS |
Argument | Description
--- | ---
otimeout | The number of seconds to wait before timing out (> 0). Zero means no wait, not "wait forever".
RETURN VALUES | smfi_settimeout always returns MI_SUCCESS.
NOTES | Decreasing the timeout is strongly discouraged and may break the communication with the MTA. Do not decrease this value without making sure that the MTA also uses lower timeouts for communication (with the milter and with the SMTP client).

Copyright (c) 2000, 2002-2003, 2006, 2011 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.